javax.persistence.criteria

## Interface ListJoin<Z,E>

All Superinterfaces:
  Expression<E>, FetchParent<Z,E>, From<Z,E>, Join<Z,E>, Path<E>, PluralJoin<Z,List<E>,E>, Selection<E>, TupleElement<E>

    public interface ListJoin<Z,E>
    extends PluralJoin<Z,List<E>,E>

### Method Summary

All Methods Instance Methods Abstract Methods
`ListAttribute<? super Z,E>` `getModel()`
`Expression<Integer>` `index()`

### Methods inherited from interface javax.persistence.criteria.Join

`getAttribute, getJoinType, getParent`

### Methods inherited from interface javax.persistence.criteria.From

`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

### Methods inherited from interface javax.persistence.criteria.Path

`get, get, get, get, getParentPath, type`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Methods inherited from interface javax.persistence.criteria.FetchParent

`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

### Method Detail

#### getModel

    ListAttribute<? super Z,E> getModel()

Specified by:
  `getModel` in interface `Path<E>`
Specified by:
  `getModel` in interface `PluralJoin<Z,List<E>,E>`

#### index

    Expression<Integer> index()